Bug 733382 - SSSD should pick a user/group name when there are multi-valued names
Summary: SSSD should pick a user/group name when there are multi-valued names
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Stephen Gallagher
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On: 738621 748878
Blocks: 748554 748875
TreeView+ depends on / blocked
 
Reported: 2011-08-25 15:24 UTC by Stephen Gallagher
Modified: 2015-01-04 23:50 UTC (History)
7 users (show)

Fixed In Version: sssd-1.5.1-55.el6
Doc Type: Bug Fix
Doc Text:
Cause: In cases user/group entry has multiple names and none of them matches RDN in LDAP an error occurred during processing of this entry in SSSD backend. Consequence: Entries with multiple names, with neither of them matching RDN, weren't stored and returned by SSSD. Fix: SSSD considers the first value returned by LDAP being primary entry name if it has multiple names and none of them matches LDAP RDN. Result: Users with multiple names are now stored and returned every time.
Clone Of:
: 748875 (view as bug list)
Environment:
Last Closed: 2011-12-06 16:39:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1529 normal SHIPPED_LIVE sssd bug fix and enhancement update 2011-12-06 00:50:20 UTC
FedoraHosted SSSD 926 None None None Never

Description Stephen Gallagher 2011-08-25 15:24:21 UTC
Description of problem:
Hello,

We have a big problem with sssd from version 1.5.x (RHEL 6.1 & Fedora 15) and not with version 1.2.1 (RHEL 6.0). We can no longer use sssd (1.5.x) with our LDAP directory, it does not work.

This is due to an addition, see the mail from Stephen Gallagher:

http://www.mail-archive.com/sssd-devel@lists.fedorahosted.org/msg05524.html (Patch 0003)

When searching the primary name of a username, it works well for a DN based on the style:

dn: uid=barras, ou=users, o=epfl, c=ch

but the DN for our organization is:

dn: cn=Benjamin Barras,ou=dit-sb,ou=p-dit,ou=p,o=epfl,c=ch

and as the attribute "uid" is multi-valued:

uid: barras uid: barras@dit-sb (this one just for administrative raison)

this version of sssd wants to find a primary name. As our RDN uses the attribute "cn", it does not match (see log) but in fact, we doesn't want to use a primary name, but only the uid that we give (in this case uid=barras).

We have approximately 12000 entries in our ldap directory and it works from many years ago.

Actually, we modify ours configurations systems for do not use SSSD but nss-pam-pam_ldap and ldapd which work well from many years.

Best regards, Benjamin Barras 




The decision upstream is that we will select the first value returned from LDAP in this case, though it may not be predictable since LDAP is not ordered.

Comment 2 Kaushik Banerjee 2011-09-15 12:43:48 UTC
Re-opening since the fix is not complete.

Comment 5 Kaushik Banerjee 2011-10-18 09:04:04 UTC
Verified in version:

# rpm -qi sssd | head
Name        : sssd                         Relocations: (not relocatable)
Version     : 1.5.1                             Vendor: Red Hat, Inc.
Release     : 59.el6                        Build Date: Mon 17 Oct 2011 04:59:48 PM EDT
Install Date: Tue 18 Oct 2011 01:22:41 AM EDT      Build Host: x86-003.build.bos.redhat.com
Group       : Applications/System           Source RPM: sssd-1.5.1-59.el6.src.rpm
Size        : 3615305                          License: GPLv3+
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://fedorahosted.org/sssd/
Summary     : System Security Services Daemon

Comment 6 Jan Zeleny 2011-10-27 13:16:35 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: In cases user/group entry has multiple names and none of them matches RDN in LDAP an error occurred during processing of this entry in SSSD backend.
Consequence: Entries with multiple names, with neither of them matching RDN, weren't stored and returned by SSSD.
Fix: SSSD considers the first value returned by LDAP being primary entry name if it has multiple names and none of them matches LDAP RDN.
Result: Users with multiple names are now stored and returned every time.

Comment 7 errata-xmlrpc 2011-12-06 16:39:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1529.html


Note You need to log in before you can comment on or make changes to this bug.